% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qDEAC.R
\name{iter_delete}
\alias{iter_delete}
\title{iter_delete:  Function used for 'peeling' that supplements or supplants qDEA
              'slicing' procedure. Intended to be called from qDEAC function}
\usage{
iter_delete(
  LP0,
  ndmus,
  nout0,
  iterlim = max(250, nout0),
  BIGM = 1e+06,
  unbounded = 0.001,
  eps = 1e-06
)
}
\arguments{
\item{LP0}{qDEA Stage-2 LP object.}

\item{ndmus}{Number of dmus in reference data (X,Y).}

\item{nout0}{Number of external points in current LP object's solution.}

\item{iterlim}{Maximal number of 'peeling' iterations.}

\item{BIGM}{Default Big M in RHS of qDEA stage 2 process.}

\item{unbounded}{LP reported as unbounded if obj<=unbounded.}

\item{eps}{iter_delete convergence test parameter}
}
\value{
obj2     = best objective level found

nout     = number of external points

outlist  = list of external dmus

iter     = number of iterations completed

LP2      = LP object for best solution found

LP2sol   = optimal LP solution
}
\description{
iter_delete:  Function used for 'peeling' that supplements or supplants qDEA
              'slicing' procedure. Intended to be called from qDEAC function
}
