% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qDEAC.R
\name{nCm_mpick}
\alias{nCm_mpick}
\title{nCM_mpick: Select subsample size m from mlist
           !!!!Intended to be called from qDEAC function!!!!}
\usage{
nCm_mpick(stat, boot, n, mlist, beta = 0.5, alpha = 0.05, CILag = 1)
}
\arguments{
\item{stat}{DDEA or qDEA distance point estimate}

\item{boot}{nboot by mcells matrix of bootstrapped DDEA and qDEA distance}

\item{n}{Number of dmus in full reference set (X,Y)}

\item{mlist}{Vector of subsample sizes}

\item{beta}{Convergence rate. 0.5 => "root n" convergence}

\item{alpha}{Alpha level for Simar-Wilson (2011) subsample size selection procedure}

\item{CILag}{CILag level for Simar-Wilson (2011) subsample size selection procedure}
}
\value{
mpick = selected subsample size,

S     = nboot by mcell matrix of
                s = stat(n) - (m/n)^beta(boot(m)-stat(n)
                bias corrected values for each sample size m

s  =    vector (of length nboot) of 'bias.corected' s-values for
                sample size 'mpick'

stat.bc = bias corrected point estimate of stat = mean(s)
}
\description{
Pulls associated set of nboot bootstrapped values and computes bias corected
"s(m)" values.
 ** Uses Simar and Wilson (2011) suggested procedure for selecting m **
}
